Inspect latest function ship
Returns the latest ship outcome. The stage is none on success, pending while building, or a failure stage such as build, platform, pre_build, deploy, or security_review. This stage-neutral customer-facing path is an alias over the same inspection resource as build_log_inspection.
GET
/
compute
/
funcs
/
{id}
/
ship_inspection
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.compute.funcs.retrieveShipInspection('id');
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.compute.funcs.retrieve_ship_inspection(
"id",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Compute.Funcs.GetShipInspection(
context.TODO(),
"id",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var response = client.compute().funcs().retrieveShipInspection("id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.compute.funcs.retrieve_ship_inspection("id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->compute->funcs->retrieveShipInspection(
'id',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx compute:funcs retrieve-ship-inspection \
--api-key 'My API Key' \
--id idcurl --request GET \
--url https://api.telnyx.com/v2/compute/funcs/{id}/ship_inspection \
--header 'Authorization: Bearer <token>'{
"data": {
"record_type": "build_log_inspection",
"runtime": "node",
"stage": "build",
"reason": "index.ts(8,7): error TS2322: Type 'string' is not assignable to type 'number'.",
"snippet": "index.ts(8,7): error TS2322",
"created_at": "2026-09-09T15:30:00.000Z"
}
}Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.compute.funcs.retrieveShipInspection('id');
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.compute.funcs.retrieve_ship_inspection(
"id",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Compute.Funcs.GetShipInspection(
context.TODO(),
"id",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var response = client.compute().funcs().retrieveShipInspection("id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.compute.funcs.retrieve_ship_inspection("id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->compute->funcs->retrieveShipInspection(
'id',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx compute:funcs retrieve-ship-inspection \
--api-key 'My API Key' \
--id idcurl --request GET \
--url https://api.telnyx.com/v2/compute/funcs/{id}/ship_inspection \
--header 'Authorization: Bearer <token>'{
"data": {
"record_type": "build_log_inspection",
"runtime": "node",
"stage": "build",
"reason": "index.ts(8,7): error TS2322: Type 'string' is not assignable to type 'number'.",
"snippet": "index.ts(8,7): error TS2322",
"created_at": "2026-09-09T15:30:00.000Z"
}
}